## vhdd 0.1+1316185440

=== debian/changelog ===
vhdd (0.1+1316185440-1) lucid; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@snoosnoo2.uk.xensource.com>  Tue, 20 Sep 2011 00:31:14 +0100

vhdd (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Mon, 11 Jul 2011 17:13:38 +0100
