=== debian/changelog ===
vhdd (0.1+1317761450-1) unstable; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@debian32.uk.xensource.com>  Tue, 18 Oct 2011 16:35:03 +0100
