=== debian/changelog ===
vhdd (0.1+1319505631-1) unstable; urgency=low

  * New autobuild version

 --  <jenkins@myvm.uk.xensource.com>  Tue, 25 Oct 2011 02:38:11 +0100
